Page MenuHome

Multi-object mode support (parent task)
Confirmed, NormalPublicTO DO

Description

This is a parent task to manage to todo's for multi object editing.

There are many small todo's.

Reference Patches:

For anyone interested in helping out, here are some example commits which can be used as a reference.

Other commits may be useful too.

Object Loops

There is some duplicate code for looping over objects.

We'll keep the option of having a way of simplifying the looping open.


Note: to collect operator ID's.

  • this script helps copy them from menus: P656
  • this is a more efficient version that watches the x11 clipboard so you can hover over items and press Ctrl-C: P657

Related Objects

StatusSubtypeAssignedTask
ConfirmedTO DONone
ConfirmedTO DOCampbell Barton (campbellbarton)
ResolvedBUGCampbell Barton (campbellbarton)
ResolvedCampbell Barton (campbellbarton)
ResolvedCampbell Barton (campbellbarton)
ResolvedCampbell Barton (campbellbarton)
ResolvedCampbell Barton (campbellbarton)
ResolvedTO DODalai Felinto (dfelinto)
ResolvedCampbell Barton (campbellbarton)
ResolvedDalai Felinto (dfelinto)
ResolvedDalai Felinto (dfelinto)
ResolvedCampbell Barton (campbellbarton)
ResolvedCampbell Barton (campbellbarton)
ResolvedJoshua Leung (aligorith)
ConfirmedTO DONone
ConfirmedTO DOCampbell Barton (campbellbarton)

Event Timeline

Campbell Barton (campbellbarton) lowered the priority of this task from 90 to Normal.Apr 16 2018, 12:51 PM
Dalai Felinto (dfelinto) changed the status of subtask T54645: Multi-Object-Mode: EditMesh UV Tools from Unknown Status to Resolved.Sep 18 2018, 9:44 PM
Dalai Felinto (dfelinto) changed the status of subtask T54646: Multi-Object-Mode: Edit Armature Tools from Unknown Status to Resolved.Oct 10 2018, 2:32 AM
Dalai Felinto (dfelinto) changed the status of subtask T54650: Multi-Object-Mode: Pose Tools from Unknown Status to Resolved.Oct 20 2018, 2:23 AM
Dalai Felinto (dfelinto) changed the status of subtask T54650: Multi-Object-Mode: Pose Tools from Resolved to Unknown Status.
Dalai Felinto (dfelinto) changed the status of subtask T54650: Multi-Object-Mode: Pose Tools from Unknown Status to Resolved.Oct 20 2018, 2:34 AM
Dalai Felinto (dfelinto) changed the status of subtask T54647: Multi-Object-Mode: Edit Lattice Tools from Unknown Status to Resolved.Oct 26 2018, 7:11 PM
Dalai Felinto (dfelinto) changed the status of subtask T54648: Multi-Object-Mode: Edit Curve Tools from Unknown Status to Resolved.Nov 7 2018, 1:59 AM
Dalai Felinto (dfelinto) changed the status of subtask T54649: Multi-Object-Mode: Edit MetaBall Tools from Unknown Status to Resolved.Nov 7 2018, 3:20 AM
Aaron Carlisle (Blendify) changed the subtype of this task from "Report" to "To Do".